Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.groupware
Class DefaultRootContainerClassEnum

    java.lang.Object
      com.compoze.collab.CollabEnum
          com.compoze.collab.groupware.DefaultRootContainerClassEnum

All Implemented Interfaces
  IDigestSupport, Serializable

    public class DefaultRootContainerClassEnum

extends CollabEnum
implements Serializable

The enumeration class that contains `DefaultRootContainerClass` elements.

See Also
  Serialized Form

Field Summary
`static DefaultRootContainerClass` | `GLOBAL_ADDRESS_LIST`
`static int` | `NUM_ELEMENTS`
`static DefaultRootContainerClass` | `PERSONAL_MAILBOX`
`static DefaultRootContainerClass` | `PUBLIC_CONTAINERS`
`static int` | `VALUE_GLOBAL_ADDRESS_LIST`
`static int` | `VALUE_PERSONAL_MAILBOX`
`static int` | `VALUE_PUBLIC_CONTAINERS`

Fields inherited from class com.compoze.collab.CollabEnum
`m_elements`

Constructor Summary
`protected` | `DefaultRootContainerClassEnum(Class elementClass, int iNumElements, com.compoze.collab.resource.ResourceBundleWrapper rbWrapper, EnumElement defaultElement, String sInternalName, boolean bMaskable)` Constructor.
`protected` | `DefaultRootContainerClassEnum(int iNumElements)`

Method Summary
`static CollabEnum` | `i()` Gets the singleton.

Methods inherited from class com.compoze.collab.CollabEnum
`addElement, getDefaultElement, getElement, getElements, getInternalName, getRawElements, getResourceBundle, isDefaultElement, setDefaultElement, updateDigest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_GLOBAL_ADDRESS_LIST

    public static final int VALUE_GLOBAL_ADDRESS_LIST

See Also
  Constants Summary

### VALUE_PERSONAL_MAILBOX

    public static final int VALUE_PERSONAL_MAILBOX

See Also
  Constants Summary

### VALUE_PUBLIC_CONTAINERS

    public static final int VALUE_PUBLIC_CONTAINERS

See Also
  Constants Summary

### NUM_ELEMENTS

    public static final int NUM_ELEMENTS

See Also
  Constants Summary

### GLOBAL_ADDRESS_LIST

    public static final DefaultRootContainerClass GLOBAL_ADDRESS_LIST

### PERSONAL_MAILBOX

    public static final DefaultRootContainerClass PERSONAL_MAILBOX

### PUBLIC_CONTAINERS

    public static final DefaultRootContainerClass PUBLIC_CONTAINERS

Constructor Detail

### DefaultRootContainerClassEnum

    protected DefaultRootContainerClassEnum(Class elementClass,
                                            int iNumElements,
                                            com.compoze.collab.resource.ResourceBundleWrapper rbWrapper,
                                            EnumElement defaultElement,
                                            String sInternalName,
                                            boolean bMaskable)

  Constructor.

### DefaultRootContainerClassEnum

    protected DefaultRootContainerClassEnum(int iNumElements)

Method Detail

### i

    public static CollabEnum i()

  Gets the singleton.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved